Skip to main content
GET
/
environments
/
{environmentId}
/
waas
/
delegatedAccess
/
encryptionPublicKeys
/
{keyId}
Get a specific delegated access encryption public key by ID
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/delegatedAccess/encryptionPublicKeys/{keyId} \
  --header 'Authorization: Bearer <token>'
{
  "key": {
    "id": "95b11417-f18f-457f-8804-68e361f9164f",
    "projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
    "kid": "<string>",
    "publicKeyPemB64": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "expiresAt": "2023-11-07T05:31:56Z",
    "revokedAt": "2023-11-07T05:31:56Z"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

keyId
string<uuid>
required

The ID of the encryption public key

Response

Encryption public key fetched successfully

key
object
required
message
string
required

Message describing the operation result

Last modified on January 28, 2026